# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'skipcounting.ui'
#
# Created by: PyQt5 UI code generator 5.15.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_SkipCounting(object):
    def setupUi(self, SkipCounting):
        SkipCounting.setObjectName("SkipCounting")
        SkipCounting.resize(800, 600)
        self.centralwidget = QtWidgets.QWidget(SkipCounting)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName("gridLayout")
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setSpacing(80)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.SkipCountingLabel = QtWidgets.QLabel(self.centralwidget)
        font = QtGui.QFont()
        font.setPointSize(19)
        self.SkipCountingLabel.setFont(font)
        self.SkipCountingLabel.setObjectName("SkipCountingLabel")
        self.horizontalLayout.addWidget(self.SkipCountingLabel)
        spacerItem = QtWidgets.QSpacerItem(108, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.SkipCountingtextEdit = QtWidgets.QLineEdit(self.centralwidget)
        self.SkipCountingtextEdit.setMaximumSize(QtCore.QSize(100, 100))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.SkipCountingtextEdit.setFont(font)
        self.SkipCountingtextEdit.setObjectName("SkipCountingtextEdit")
        self.horizontalLayout.addWidget(self.SkipCountingtextEdit)
        spacerItem1 = QtWidgets.QSpacerItem(128, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem2 = QtWidgets.QSpacerItem(278, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem2)
        self.SkipCountinResult = QtWidgets.QLabel(self.centralwidget)
        font = QtGui.QFont()
        font.setPointSize(90)
        self.SkipCountinResult.setFont(font)
        self.SkipCountinResult.setObjectName("SkipCountinResult")
        self.horizontalLayout_3.addWidget(self.SkipCountinResult)
        spacerItem3 = QtWidgets.QSpacerItem(268, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.ResetButton = QtWidgets.QPushButton(self.centralwidget)
        font = QtGui.QFont()
        font.setPointSize(19)
        self.ResetButton.setFont(font)
        self.ResetButton.setObjectName("ResetButton")
        self.horizontalLayout_2.addWidget(self.ResetButton)
        self.NextButton = QtWidgets.QPushButton(self.centralwidget)
        font = QtGui.QFont()
        font.setPointSize(19)
        self.NextButton.setFont(font)
        self.NextButton.setObjectName("NextButton")
        self.horizontalLayout_2.addWidget(self.NextButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.gridLayout.addLayout(self.verticalLayout, 0, 0, 1, 1)
        SkipCounting.setCentralWidget(self.centralwidget)

        self.retranslateUi(SkipCounting)
        QtCore.QMetaObject.connectSlotsByName(SkipCounting)

    def retranslateUi(self, SkipCounting):
        _translate = QtCore.QCoreApplication.translate
        SkipCounting.setWindowTitle(_translate("SkipCounting", "Skip Counting"))
        self.SkipCountingLabel.setText(_translate("SkipCounting", "Skip Counting by :"))
        self.SkipCountinResult.setText(_translate("SkipCounting", "0"))
        self.ResetButton.setText(_translate("SkipCounting", "Reset"))
        self.NextButton.setText(_translate("SkipCounting", "Next"))
        self.i = 0
        self.ans = 0;
        self.NextButton.clicked.connect(self.updateResult)
        self.ResetButton.clicked.connect(self.reset)
        
        
    def updateResult(self):
        if not self.SkipCountingtextEdit.text():
            QtWidgets.QMessageBox.about(self.centralwidget,"Value required","Please fill the Skip Counting value")
            
        else:
            n = int(self.SkipCountingtextEdit.text())
            self.i = self.i + 1
            self.ans = n * (self.i)
            self.SkipCountinResult.setText((str(self.ans)))
        
        
    def reset(self):
        self.i = 0;
        self.ans = 0
        self.SkipCountingtextEdit.clear()
        self.SkipCountinResult.setText(str(self.ans))
        

        
        

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    SkipCounting = QtWidgets.QMainWindow()
    ui = Ui_SkipCounting()
    ui.setupUi(SkipCounting)
    SkipCounting.show()
    sys.exit(app.exec_())
